GNU bug report logs - #43948
28.0.50; [PATHC][NS] Make s-<left/right> to move to beginning/end of line

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrii Kolomoiets <andreyk.mad@HIDDEN>; Keywords: patch; dated Mon, 12 Oct 2020 11:38:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 20 Oct 2020 16:06:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 20 12:06:47 2020
Received: from localhost ([127.0.0.1]:46470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUu9v-0003hI-Jn
	for submit <at> debbugs.gnu.org; Tue, 20 Oct 2020 12:06:47 -0400
Received: from aserp2130.oracle.com ([141.146.126.79]:43410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kUu9t-0003h4-F0
 for 43948 <at> debbugs.gnu.org; Tue, 20 Oct 2020 12:06:45 -0400
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 09KG55aa023566;
 Tue, 20 Oct 2020 16:06:37 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=wCJinSEhoLiugdhfkGbnsPrZJZ2qw5Sh7+AEsvTwbBc=;
 b=koXWV7zfMojrKHBwj2nfjN0/zhctnE+DjaD+mOXseKx+bTE/ApWmzyKhAfU3YO7+nYfA
 eTHLN7NURko1zkRjQfcO7DPPLoM4AeMjPxx9dqVqapZjXd0R+3BiNnuBTk3X4i5W5zFb
 zlvUbKxY7hdrG7xMxleWf41TkShtw9wvXFz54/D94HY4oi1lMcX31vC+5TbrEIsrvM94
 T1j3gExa93MJ9bdF92oA7lecIUo77qZ/2auCt+OOXzxx6Qp3BZZwDzqkF76A+Gf3farX
 ay6S7Y/hnyWx/N4xV4fxetY3UPZHWO+Z6LClD9x+gQPn3Ko5lqIc8mrp2BvXFkK/lj+F ew== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by aserp2130.oracle.com with ESMTP id 347p4av4k7-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Tue, 20 Oct 2020 16:06:36 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 09KG1cRp000897;
 Tue, 20 Oct 2020 16:06:36 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserp3020.oracle.com with ESMTP id 348agxkbnp-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 20 Oct 2020 16:06:36 +0000
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id 09KG6Yhx015307;
 Tue, 20 Oct 2020 16:06:34 GMT
MIME-Version: 1.0
Message-ID: <c538bbc3-5987-45d1-95e0-5edda0a7193f@default>
Date: Tue, 20 Oct 2020 09:06:33 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: =?iso-8859-1?B?TWF0dGlhcyBFbmdkZWflcmQ=?= <mattiase@HIDDEN>, Andrii
 Kolomoiets <andreyk.mad@HIDDEN>
Subject: RE: bug#43948: 28.0.50; [PATCH][NS] Make s-<left/right> to move to
 beginning/end of line
References: <m28scbiskq.fsf@HIDDEN>
 <98BE6156-9A91-4D4C-B326-62D24C3945B2@HIDDEN>
In-Reply-To: <98BE6156-9A91-4D4C-B326-62D24C3945B2@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5056.0 (x86)]
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9779
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 mlxscore=0 phishscore=0
 malwarescore=0 spamscore=0 suspectscore=0 bulkscore=0 mlxlogscore=999
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2010200107
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9779
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 priorityscore=1501
 clxscore=1011 malwarescore=0 mlxscore=0 bulkscore=0 lowpriorityscore=0
 phishscore=0 adultscore=0 mlxlogscore=999 impostorscore=0 spamscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2010200107
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43948
Cc: Alan Third <alan@HIDDEN>,
 =?iso-8859-1?B?RGFuaWVsIE1hcnTtbg==?= <mardani29@HIDDEN>,
 43948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Similarly, should M-mouse-1 be bound to rectangular selection, since Opti=
on-
> drag-mouse appears to be the platform convention?
> (It seems unlikely that there would be a sizeable population of secondary
> selection users on NS, but what do I know.)

FWIW -

The secondary selection is, I think, simply not
as well known as it could/should be.  I think
that if more people were aware if it they would
use it.

But the main reason, I think, that people aren't
aware of it, and also a reason they might not
use it even if they were aware of it, is that it
has no keyboard key bindings, by default.
___

My library second-sel.el provides additional
ways to obtain and use the secondary selection,
including obtaining it from the primary - and
vice versa, yanking it (including in Isearch),
and having its own ring (a la `kill-ring').

Suggested keyboard keys for it:

C-M-y       - yank, by default

  prefix arg:   0 - select it as region
              > 0 - move it to region's text
              < 0 - swap it with region

M-y         - yank from kill or secondary ring
              depending on previous command

C-x C-M-SPC - set start of secondary at point
C-x C-M-<return> - `secondary-save-then-kill'
                   does the same as `M-mouse-3'

https://www.emacswiki.org/emacs/SecondarySelection#second-sel.el




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 20 Oct 2020 13:54:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 20 09:54:42 2020
Received: from localhost ([127.0.0.1]:43984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUs66-00085E-Lc
	for submit <at> debbugs.gnu.org; Tue, 20 Oct 2020 09:54:42 -0400
Received: from mail1435c50.megamailservers.eu ([91.136.14.35]:51214
 helo=mail263c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kUs64-00084b-Jb
 for 43948 <at> debbugs.gnu.org; Tue, 20 Oct 2020 09:54:41 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1603202072;
 bh=iH523PamUaAwTOtvyl8FX+Y5DnI2Th02V0oIpO+OZ+g=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=kJWRNoy/yGbUSDFxFBsoXnfwGoMMbzIfJUDqzARGN41E2Bq6VytehB72NWwGevMf2
 +O108jPr7xH/FZGu/t6wnYHkdZrbj6RdmBbiZfBuBjEaHXLwXm7OL85qWjKDx1X3FU
 mGEo3jzCNq9mPXua4Y0ZW61/MWnJQTEH9m72kpjs=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail263c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 09KDsUFK032716; 
 Tue, 20 Oct 2020 13:54:32 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#43948: 28.0.50; [PATCH][NS] Make s-<left/right> to move to
 beginning/end of line
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <20201020123352.GH1166@HIDDEN>
Date: Tue, 20 Oct 2020 15:54:30 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <30741870-D3D9-4575-AED5-8EE890D3BD1C@HIDDEN>
References: <98BE6156-9A91-4D4C-B326-62D24C3945B2@HIDDEN>
 <20201020123352.GH1166@HIDDEN>
To: Alan Third <alan@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A782F26.5F8EEC18.00B2, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=e6d4tph/ c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=hIj89exaAAAA:8 a=NAmhGPkCj19sDiub2YUA:9 a=CjuIK1q_8ugA:10
 a=lS9wXHQM5UdnNJ4u63Ry:22
X-Origin-Country: SE
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  20 okt. 2020 kl. 14.33 skrev Alan Third <alan@HIDDEN>:
 > I'm not sure. I'm happy enough with the super bindings since I don't >
 think Emacs has any by default, but I don't know that we want to get > into
 other bindings with a greater potential for conflic [...] 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 43948
Cc: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 43948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

20 okt. 2020 kl. 14.33 skrev Alan Third <alan@HIDDEN>:

> I'm not sure. I'm happy enough with the super bindings since I don't
> think Emacs has any by default, but I don't know that we want to get
> into other bindings with a greater potential for conflict.

Thank you, and I do have some sympathy for that point of view. It seems =
that we can't ever replace any bindings, no matter how rarely used, but =
that's not your fault.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 20 Oct 2020 12:33:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 20 08:33:59 2020
Received: from localhost ([127.0.0.1]:43879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUqpz-0005yq-NR
	for submit <at> debbugs.gnu.org; Tue, 20 Oct 2020 08:33:59 -0400
Received: from idiocy.org ([217.169.17.33]:57813 helo=breton.holly.idiocy.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kUqpy-0005ya-Iv
 for 43948 <at> debbugs.gnu.org; Tue, 20 Oct 2020 08:33:58 -0400
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id E444D202629C96; Tue, 20 Oct 2020 13:33:52 +0100 (BST)
Date: Tue, 20 Oct 2020 13:33:52 +0100
From: Alan Third <alan@HIDDEN>
To: Mattias =?iso-8859-1?Q?Engdeg=E5rd?= <mattiase@HIDDEN>
Subject: Re: bug#43948: 28.0.50; [PATCH][NS] Make s-<left/right> to move to
 beginning/end of line
Message-ID: <20201020123352.GH1166@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Mattias =?iso-8859-1?Q?Engdeg=E5rd?= <mattiase@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 43948 <at> debbugs.gnu.org,
 Daniel =?iso-8859-1?Q?Mart=EDn?= <mardani29@HIDDEN>
References: <98BE6156-9A91-4D4C-B326-62D24C3945B2@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <98BE6156-9A91-4D4C-B326-62D24C3945B2@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43948
Cc: Daniel =?iso-8859-1?Q?Mart=EDn?= <mardani29@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 43948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Oct 20, 2020 at 11:55:36AM +0200, Mattias Engdegård wrote:
> Similarly, should M-mouse-1 be bound to rectangular selection, since
> Option-drag-mouse appears to be the platform convention? (It seems
> unlikely that there would be a sizeable population of secondary
> selection users on NS, but what do I know.)

I'm not sure. I'm happy enough with the super bindings since I don't
think Emacs has any by default, but I don't know that we want to get
into other bindings with a greater potential for conflict.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 20 Oct 2020 09:55:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 20 05:55:44 2020
Received: from localhost ([127.0.0.1]:43668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUoMq-0003rh-Is
	for submit <at> debbugs.gnu.org; Tue, 20 Oct 2020 05:55:44 -0400
Received: from mail151c50.megamailservers.eu ([91.136.10.161]:57872
 helo=mail50c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kUoMo-0003rW-82
 for 43948 <at> debbugs.gnu.org; Tue, 20 Oct 2020 05:55:43 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1603187740;
 bh=Q0EzvHWu1BNVdD2p/dyzPQoas6q0WbiySObYBNae/JI=;
 h=From:Subject:Date:Cc:To:From;
 b=HufI0J++ZcAiKylRxPAtnR4UdKGQMrcXtzYFvhw+BOCoAHu32ZkHUPL1YUH9qF0QY
 mp40T7gE/7WRLjXQk+jNKK4WLyr3VNUxnh92vnO34tAs7wlirHKjGg/ENivDCwxYuO
 5Dknfp52GF/I1wj7vJ3ZFuUwky6EV4D9jndqlQ2g=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail50c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 09K9tbb2018072; 
 Tue, 20 Oct 2020 09:55:39 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#43948: 28.0.50; [PATCH][NS] Make s-<left/right> to move to 
 beginning/end of line
Message-Id: <98BE6156-9A91-4D4C-B326-62D24C3945B2@HIDDEN>
Date: Tue, 20 Oct 2020 11:55:36 +0200
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A782F29.5F8EB41C.0015, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=NoevjPVJ c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=92ko-LC8_Pl3_wrATPEA:9 a=7Zwj6sZBwVKJAoWSPKxL6X1jA+E=:19
 a=CjuIK1q_8ugA:10
X-Origin-Country: SE
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Similarly, should M-mouse-1 be bound to rectangular selection,
 since Option-drag-mouse appears to be the platform convention? (It seems
 unlikely that there would be a sizeable population of secondary [...] 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 43948
Cc: Alan Third <alan@HIDDEN>,
 =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>, 43948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Similarly, should M-mouse-1 be bound to rectangular selection, since =
Option-drag-mouse appears to be the platform convention?
(It seems unlikely that there would be a sizeable population of =
secondary selection users on NS, but what do I know.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 14 Oct 2020 20:48:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 16:48:41 2020
Received: from localhost ([127.0.0.1]:53150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSnhQ-00084J-Uo
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 16:48:41 -0400
Received: from mail-lf1-f49.google.com ([209.85.167.49]:40711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kSnhP-000845-3R
 for 43948 <at> debbugs.gnu.org; Wed, 14 Oct 2020 16:48:40 -0400
Received: by mail-lf1-f49.google.com with SMTP id a9so981695lfc.7
 for <43948 <at> debbugs.gnu.org>; Wed, 14 Oct 2020 13:48:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=lchoFlflJ1qWxVu5YfsLjsEaaT1MgP0lgyUl+9TTWi4=;
 b=Iaht2E8TwjnrzNbRzzonap6lPcDuS56OC9CnYn4+HximwZISLqRigxHcA4HvsnwHIW
 39IDe0aUY6VFLIX3Qkoppccx1084qn+AQ8iZ4ijMo4Oo67oEGcP71UfZhBUdqhiimiLj
 4zGkBGMjc5rKU/dt2BFBN3AB9AKXsNA0HC3mJw2CT69EJFMWDpGPlKPKZF7rEG+Trsdd
 1+6WoVEPc3fJTk3tnnLT4gNRD6Un153lRlglBazp4lGSugKYqsI15NtfBWkg9bsBeCzM
 sPp5j7SAqGzoO4/BEjWmtKg1rNjrqwQJhkgU2RzVZxvDli93imaDke4sW5WP28pitRas
 H/tw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=lchoFlflJ1qWxVu5YfsLjsEaaT1MgP0lgyUl+9TTWi4=;
 b=NyOjA+1Px2u7A1/AQ55Uop+U+4Jn2ue+S9d/GWA8FWv1D7Iq/1l10PT/IuINWR6j7R
 myvYhOIZUYHjXsnwAOSuf6NoC0qq/GXbtFcUnRGU7u00ZsbjOXQbQGqbQu2zCuiJWA2m
 NI159UiX1/Fo77dPFgeK9gwDkqkYtupMuLyIaM6Ga4xFoMCrlU5l59nqw6XP/LXlta66
 T2PSlsqrfCZs5+ZcZ0emiedZYQoCbuXRunfG2tc/UKmAZlTyimR5GFvU4S0HSGt2Pfqf
 jXXS+TPDlxBnMRDnBzlxfRGyQiHbxthjYD4J1D18YdN0Xy2G9TEUrVorcTQnzE5RzBtZ
 IUiQ==
X-Gm-Message-State: AOAM530Wlk083VOJ0GoIgoIijtHh9bP+2D6rX8WUm8sU9ZwNew65gW50
 xLuyGsHbhLAoaFGz5uVqkJGaXCgGDT8=
X-Google-Smtp-Source: ABdhPJzkOB7J9hi0n2sQm2fddZ8WON9Sr7dYWLNGFvpgRT5Z2R25u9kZslLY9+EILir4YOybeZqfAw==
X-Received: by 2002:a19:ee16:: with SMTP id g22mr297780lfb.443.1602708511724; 
 Wed, 14 Oct 2020 13:48:31 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id c17sm156888lfi.35.2020.10.14.13.48.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Oct 2020 13:48:30 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#43948: 28.0.50; [PATHC][NS] Make s-<left/right> to move to
 beginning/end of line
References: <m28scbiskq.fsf@HIDDEN> <m1362jjcih.fsf@HIDDEN>
 <m2k0vuh82w.fsf@HIDDEN>
 <20201013203639.GL60347@HIDDEN>
 <m2sgahw1t4.fsf@HIDDEN>
 <20201014202406.GN60347@HIDDEN>
Date: Wed, 14 Oct 2020 23:48:29 +0300
In-Reply-To: <20201014202406.GN60347@HIDDEN> (Alan Third's
 message of "Wed, 14 Oct 2020 21:24:06 +0100")
Message-ID: <m2o8l4wn36.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Alan Third writes: >> +** On macOS, 's-<left>' and 's-<right>
 are now bound to > ^ > Missing quote. Fixed. Smells like bug report for
 electric-pair-mode to pair "'" in text-mode :) 
 Content analysis details:   (3.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (andreyk.mad[at]gmail.com)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [91.206.110.168 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.49 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.49 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 43948
Cc: 43948 <at> debbugs.gnu.org, Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Alan Third writes: >> +** On macOS, 's-<left>' and 's-<right>
    are now bound to > ^ > Missing quote. Fixed. Smells like bug report for electric-pair-mode
    to pair "'" in text-mode :) 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [91.206.110.168 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.167.49 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.167.49 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (andreyk.mad[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

Alan Third <alan@HIDDEN> writes:

>> +** On macOS, 's-<left>' and 's-<right> are now bound to
>                                          ^
> Missing quote.

Fixed.
Smells like bug report for electric-pair-mode to pair "'" in text-mode :)

>
>> +'move-beginning-of-line' and 'move-end-of-line' respectively. The former
>> +commands to select previous/next frame are still bound to 's-~' and 's-`'.
>
> I don't think you need the word "former" here. Other than that, LGTM.

And fixed.

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-NS-Make-s-left-right-to-move-to-beginning-end-of-lin.patch

From edb8467d3884067f88c2349cb30bd38a6a3d40b9 Mon Sep 17 00:00:00 2001
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Date: Mon, 12 Oct 2020 14:24:25 +0300
Subject: [PATCH] NS: Make s-<left/right> to move to beginning/end of line

* lisp/term/ns-win.el: Bind 's-<left>' to 'move-beginning-of-line';
bind 's-<right>' to 'move-end-of-line'.
* etc/NEWS: Mention new bindings.
---
 etc/NEWS            | 5 +++++
 lisp/term/ns-win.el | 5 ++---
 2 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/etc/NEWS b/etc/NEWS
index cc8733c2c0..8cb9ecc102 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -1683,6 +1683,11 @@ image API via 'M-x report-emacs-bug'.
 ---
 ** The user option 'make-pointer-invisible' is now honored on macOS.
 
+--
+** On macOS, 's-<left>' and 's-<right>' are now bound to
+'move-beginning-of-line' and 'move-end-of-line' respectively. The commands
+to select previous/next frame are still bound to 's-~' and 's-`'.
+
 
 ----------------------------------------------------------------------
 This file is part of GNU Emacs.
diff --git a/lisp/term/ns-win.el b/lisp/term/ns-win.el
index cc7a3762b4..8273c067f8 100644
--- a/lisp/term/ns-win.el
+++ b/lisp/term/ns-win.el
@@ -148,9 +148,8 @@ global-map
 (define-key global-map [?\s-|] 'shell-command-on-region)
 (define-key global-map [s-kp-bar] 'shell-command-on-region)
 (define-key global-map [?\C-\s- ] 'ns-do-show-character-palette)
-;; (as in Terminal.app)
-(define-key global-map [s-right] 'ns-next-frame)
-(define-key global-map [s-left] 'ns-prev-frame)
+(define-key global-map [s-right] 'move-end-of-line)
+(define-key global-map [s-left] 'move-beginning-of-line)
 
 (define-key global-map [home] 'beginning-of-buffer)
 (define-key global-map [end] 'end-of-buffer)
-- 
2.15.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 14 Oct 2020 20:24:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 16:24:20 2020
Received: from localhost ([127.0.0.1]:53090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSnJr-0007SG-QT
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 16:24:20 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:33168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kSnJp-0007S0-Kb
 for 43948 <at> debbugs.gnu.org; Wed, 14 Oct 2020 16:24:18 -0400
Received: from smtpauth1.co-bxl (smtpauth1.co-bxl [10.2.0.15])
 by wilbur.contactoffice.com (Postfix) with ESMTP id 37B32D04;
 Wed, 14 Oct 2020 22:24:10 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1602707050; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:In-Reply-To;
 l=476; bh=nY+RVVzTfnNw2j5ehpBj2UBSHJ8gXJm5TuuTeC7VimQ=;
 b=Hkl4n+HEAG98IGaO55xi5yCes954AJfoEBZlrzno0EN4145BKA2HTmkFwe1S+yyv
 N47GoPy4IqkPFNfvwMVu8QvIMi1LmmQmaGrEc7UQRKfMXWLVuyrYl4q5+cV+/NKTMei
 TBpemH+WPTOewmyMW16PI8s1ezLizUT3D5sBfoXwcR0sK2kBNbV2TJ6rrV8/QiWs0bd
 UUW8Zw6ivEXU7C01hw66K2GTDl5EGOQfJ0F7Ab0UawSSvMsBklg2tF6nBf1bYGmaqjT
 uP+hOyRJgXmSSwqvBeQtkJ5rJdduKnP1Jycm0SBA2CwbqZL1VYkpvjAYefkRsaj2OpS
 ODAFkTMLcg==
Received: by smtp.mailfence.com with ESMTPA ;
 Wed, 14 Oct 2020 22:24:07 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 9AE272025F919E; Wed, 14 Oct 2020 21:24:06 +0100 (BST)
Date: Wed, 14 Oct 2020 21:24:06 +0100
From: Alan Third <alan@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#43948: 28.0.50; [PATHC][NS] Make s-<left/right> to move to
 beginning/end of line
Message-ID: <20201014202406.GN60347@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>,
 Daniel =?iso-8859-1?Q?Mart=EDn?= <mardani29@HIDDEN>,
 43948 <at> debbugs.gnu.org
References: <m28scbiskq.fsf@HIDDEN> <m1362jjcih.fsf@HIDDEN>
 <m2k0vuh82w.fsf@HIDDEN>
 <20201013203639.GL60347@HIDDEN>
 <m2sgahw1t4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m2sgahw1t4.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=4.7 symbols=ALL_TRUSTED,
 BAYES_00 device=10.2.0.1
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43948
Cc: 43948 <at> debbugs.gnu.org,
 Daniel =?iso-8859-1?Q?Mart=EDn?= <mardani29@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Oct 14, 2020 at 01:15:51PM +0300, Andrii Kolomoiets wrote:
> > Yes, I think that mentioning those keys is better.
> 
> Done.

Thanks.

> +** On macOS, 's-<left>' and 's-<right> are now bound to
                                         ^
Missing quote.

> +'move-beginning-of-line' and 'move-end-of-line' respectively. The former
> +commands to select previous/next frame are still bound to 's-~' and 's-`'.

I don't think you need the word "former" here. Other than that, LGTM.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 14 Oct 2020 10:16:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 14 06:16:04 2020
Received: from localhost ([127.0.0.1]:50130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSdpE-0002FH-0Y
	for submit <at> debbugs.gnu.org; Wed, 14 Oct 2020 06:16:04 -0400
Received: from mail-lf1-f42.google.com ([209.85.167.42]:45182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kSdpA-0002EO-Op
 for 43948 <at> debbugs.gnu.org; Wed, 14 Oct 2020 06:16:03 -0400
Received: by mail-lf1-f42.google.com with SMTP id r127so3013232lff.12
 for <43948 <at> debbugs.gnu.org>; Wed, 14 Oct 2020 03:16:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=u6mIAO5QVaf4TCQcGW8z4fYMkkVhGY1BzFo4V5GOwGo=;
 b=fvvgAqt+194Bq967ag7e6V0HVs18u+eplHosfVbVHmxzcjfCsPo8sGvJhIXanfPm0f
 OAxj26Bv8DK6WQk1YMfktf8InO16dIc0pDD9leROXphMWdyVlpc8wuZMRxnGkf0Ba+dI
 N+9wYwWalmxAFaPGVY2Yxb/QTs7VoI1KuTKeQIgfdNBPVi5cExOOXokOi1RTXBHuORvm
 AaJeIV8FxeILS+5tA8ZNUnIvF7P6AwlKQ50FVC8hy8DiGrTLaG1Cipm3ceP3Xs3CsIcI
 yMttcDfljuHLE8aGT+qhpa6QXLsubUnLY/9Ef6wxbsNTiY3O3k2lPx3ivRiQDdqhfl0+
 +ZNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=u6mIAO5QVaf4TCQcGW8z4fYMkkVhGY1BzFo4V5GOwGo=;
 b=L84ExiZkvysA7XCEq++glUyI5qr0vAZq1FRxoPaPvCE1Mc3si8fBk/ZWItFYb4jUIk
 IadyavHeFDmsUCOlplhzimHh10GdxsTw8ucKAxhMRX9E0+iuY2V84aDGUXD7WsPgP6ja
 wf8gyc5XhOiiZ1Lyj18qd12wipHiggZMfaWQNExeE0oLi0ZYRnrA9XrjYU5peyYe5z4g
 6oASAtS5YgW6qVlB9CiHX6Uk8M5Eu5Lkzv2aRCd2FHD5YSAmkbIQp/96kg//ThDlyspD
 ZhUt+z8dDQtBofehB8AP9JlRxBkgLdl6caE7Qi6MdCxgjKHYqAyOsUK/E/dlbbQMoD5I
 m9EA==
X-Gm-Message-State: AOAM532vV6ixmoUMOBgfk+GLqAD8zl2iAYyoOawpjw1STlQ5Fef7yVwt
 +O+EyaooMZ/MhrjY8hC+GnujuPU6sHE=
X-Google-Smtp-Source: ABdhPJzI8+LamsBDofXOmGAIe2a5G27kdCUYf80o29ub8DvVFu8ez57N9NxUtTqwRGub4azyIzokhg==
X-Received: by 2002:ac2:4da1:: with SMTP id h1mr1109490lfe.343.1602670554321; 
 Wed, 14 Oct 2020 03:15:54 -0700 (PDT)
Received: from muffinmac (102-26-207-82.ip.ukrtel.net. [82.207.26.102])
 by smtp.gmail.com with ESMTPSA id c26sm961727lfh.107.2020.10.14.03.15.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Oct 2020 03:15:53 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#43948: 28.0.50; [PATHC][NS] Make s-<left/right> to move to
 beginning/end of line
References: <m28scbiskq.fsf@HIDDEN> <m1362jjcih.fsf@HIDDEN>
 <m2k0vuh82w.fsf@HIDDEN>
 <20201013203639.GL60347@HIDDEN>
Date: Wed, 14 Oct 2020 13:15:51 +0300
In-Reply-To: <20201013203639.GL60347@HIDDEN> (Alan Third's
 message of "Tue, 13 Oct 2020 21:36:39 +0100")
Message-ID: <m2sgahw1t4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43948
Cc: 43948 <at> debbugs.gnu.org, Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Alan Third <alan@HIDDEN> writes:

> On Tue, Oct 13, 2020 at 10:57:11AM +0300, Andrii Kolomoiets wrote:
>> Daniel Mart=C3=ADn <mardani29@HIDDEN> writes:
>>=20
>> >> +** On macOS, 's-<left>' and 's-<right> are now bound to
>> >> +'move-beginning-of-line' and 'move-end-of-line' respectively.
>> >> +
>> >
>> > Maybe we should say here that the former commands for these keys can
>> > still be invoked via M-x ns-prev-frame and M-x ns-next-frame,
>> > respectively.
>>=20
>> Former commands can be invoked with 's-`' and 's-~'.  Those are the
>> common shortcuts in macOS.  So maybe it is better to mention those keys
>> instead of M-x?  Though I'm not the experienced NEWS writer.
>
> Yes, I think that mentioning those keys is better.

Done.

See attached patch.

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-NS-Make-s-left-right-to-move-to-beginning-end-of-lin.patch

From 52c5b246b010b06f62d656811cf3a772399f0c18 Mon Sep 17 00:00:00 2001
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Date: Mon, 12 Oct 2020 14:24:25 +0300
Subject: [PATCH] NS: Make s-<left/right> to move to beginning/end of line

* lisp/term/ns-win.el: Bind 's-<left>' to 'move-beginning-of-line';
bind 's-<right>' to 'move-end-of-line'.
* etc/NEWS: Mention new bindings.
---
 etc/NEWS            | 5 +++++
 lisp/term/ns-win.el | 5 ++---
 2 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/etc/NEWS b/etc/NEWS
index cc8733c2c0..f6f4c2e057 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -1683,6 +1683,11 @@ image API via 'M-x report-emacs-bug'.
 ---
 ** The user option 'make-pointer-invisible' is now honored on macOS.
 
+--
+** On macOS, 's-<left>' and 's-<right> are now bound to
+'move-beginning-of-line' and 'move-end-of-line' respectively. The former
+commands to select previous/next frame are still bound to 's-~' and 's-`'.
+
 
 ----------------------------------------------------------------------
 This file is part of GNU Emacs.
diff --git a/lisp/term/ns-win.el b/lisp/term/ns-win.el
index cc7a3762b4..8273c067f8 100644
--- a/lisp/term/ns-win.el
+++ b/lisp/term/ns-win.el
@@ -148,9 +148,8 @@ global-map
 (define-key global-map [?\s-|] 'shell-command-on-region)
 (define-key global-map [s-kp-bar] 'shell-command-on-region)
 (define-key global-map [?\C-\s- ] 'ns-do-show-character-palette)
-;; (as in Terminal.app)
-(define-key global-map [s-right] 'ns-next-frame)
-(define-key global-map [s-left] 'ns-prev-frame)
+(define-key global-map [s-right] 'move-end-of-line)
+(define-key global-map [s-left] 'move-beginning-of-line)
 
 (define-key global-map [home] 'beginning-of-buffer)
 (define-key global-map [end] 'end-of-buffer)
-- 
2.15.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 13 Oct 2020 20:36:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 16:36:52 2020
Received: from localhost ([127.0.0.1]:49035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSR2R-0002cm-NT
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 16:36:51 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:37670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kSR2P-0002cZ-GW
 for 43948 <at> debbugs.gnu.org; Tue, 13 Oct 2020 16:36:50 -0400
Received: from smtpauth2.co-bxl (smtpauth2.co-bxl [10.2.0.24])
 by wilbur.contactoffice.com (Postfix) with ESMTP id 14AC1803;
 Tue, 13 Oct 2020 22:36:44 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1602621404; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:Content-Transfer-Encoding:In-Reply-To;
 l=702; bh=Nn8PxFLU3LhyFpUjwllZI8zjGNXJ7OtcHg6mEIeS49E=;
 b=gqEyvQc/uSvkVQrxFTdKTTjHABmdcHMeJqX0QYxNPQWPM9q2S965kQSRVAd9CUUz
 rYvGiIcFRLZ9jwEd1byYSEkJ7wOW+3L86CxHlE2vewyypoIdDc01mZDUDbkovQDHSj9
 iHrUMi+FklVqz4JA68/mYVYjp1JUT3LJaCkIKnL5/gGSoioGmhgmmrw3+zCqeq0jbHN
 oue65C++tttg6ca8sGQgKsx09jWjKF1jBi5hbcG27CEIblHjMDtE/dPt/x6VhSZ9kvO
 R8c5sgTjKtie8wR64ipr+PQCwG2sOxyKUStIpju9R+P9P5YWdRQPcthvarPUTOD3Kd0
 WPZ+aHfiew==
Received: by smtp.mailfence.com with ESMTPA ;
 Tue, 13 Oct 2020 22:36:40 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 4CB0E2025F7A68; Tue, 13 Oct 2020 21:36:39 +0100 (BST)
Date: Tue, 13 Oct 2020 21:36:39 +0100
From: Alan Third <alan@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#43948: 28.0.50; [PATHC][NS] Make s-<left/right> to move to
 beginning/end of line
Message-ID: <20201013203639.GL60347@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>,
 Daniel =?iso-8859-1?Q?Mart=EDn?= <mardani29@HIDDEN>,
 43948 <at> debbugs.gnu.org
References: <m28scbiskq.fsf@HIDDEN> <m1362jjcih.fsf@HIDDEN>
 <m2k0vuh82w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <m2k0vuh82w.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=4.7 symbols=ALL_TRUSTED,
 BAYES_00 device=10.2.0.20
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43948
Cc: 43948 <at> debbugs.gnu.org,
 Daniel =?iso-8859-1?Q?Mart=EDn?= <mardani29@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Oct 13, 2020 at 10:57:11AM +0300, Andrii Kolomoiets wrote:
> Daniel Martín <mardani29@HIDDEN> writes:
> 
> >> +** On macOS, 's-<left>' and 's-<right> are now bound to
> >> +'move-beginning-of-line' and 'move-end-of-line' respectively.
> >> +
> >
> > Maybe we should say here that the former commands for these keys can
> > still be invoked via M-x ns-prev-frame and M-x ns-next-frame,
> > respectively.
> 
> Former commands can be invoked with 's-`' and 's-~'.  Those are the
> common shortcuts in macOS.  So maybe it is better to mention those keys
> instead of M-x?  Though I'm not the experienced NEWS writer.

Yes, I think that mentioning those keys is better.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 13 Oct 2020 20:35:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 16:35:56 2020
Received: from localhost ([127.0.0.1]:49031 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSR1Y-0002bA-D3
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 16:35:56 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:37646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kSR1W-0002aw-Hq
 for 43948 <at> debbugs.gnu.org; Tue, 13 Oct 2020 16:35:55 -0400
Received: from smtpauth1.co-bxl (smtpauth1.co-bxl [10.2.0.15])
 by wilbur.contactoffice.com (Postfix) with ESMTP id D5476157C;
 Tue, 13 Oct 2020 22:35:47 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1602621347; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:In-Reply-To;
 l=446; bh=AKfkWK/Gif8fSHzkF5RGo+mZMCsjCwJPPdLCsiHvE3U=;
 b=QXE7XPkH4GpPjxyrymoVGg9cRdwhrV5uf2BpDnHZTPCs4DZtkRIwH8jn2EKQhCq4
 gNKbnpGS0VBbmJ5i2k7Zdcw7qM5twxIIQxizwwuRWDbUAEmmhYg/B/YKKFW9H9n60qL
 uXwh8XHBmnzkKH7lwlJTV25j1C1JSSsJVFpiAvuLa5nHQqeE5phT+r4Wjko9utF0hkV
 oSYAhltFtkQYUN0FCuT4dQXjuPaxUog7JCQWwJ+ZiGMlu0cCWbmV2CG25kL3RSctlcj
 sO1lERwc+Jfvdf0GAQowTZCBL6oWE6QWRV7HPGxI9L6l7KNEo2TrnRwxAnWZOLsG2XX
 20rJMPybHw==
Received: by smtp.mailfence.com with ESMTPA ;
 Tue, 13 Oct 2020 22:35:45 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 1E72F2025F7A02; Tue, 13 Oct 2020 21:35:44 +0100 (BST)
Date: Tue, 13 Oct 2020 21:35:44 +0100
From: Alan Third <alan@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#43948: 28.0.50; [PATHC][NS] Make s-<left/right> to move to
 beginning/end of line
Message-ID: <cca1321f-2430-4e5f-b80a-f8a5fbcf5d14_IMAP_ADDED_MISSING@ORVILLE>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 43948 <at> debbugs.gnu.org
References: <m28scbiskq.fsf@HIDDEN>
 <20201012183341.GJ60347@HIDDEN>
 <m2r1q2hb9u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m2r1q2hb9u.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-1.0 required=4.7 symbols=ALL_TRUSTED device=10.2.0.21
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43948
Cc: 43948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Oct 13, 2020 at 09:48:13AM +0300, Andrii Kolomoiets wrote:
> Alan Third <alan@HIDDEN> writes:
> 
> > As these bindings are standard for the OS, I don't think we really
> > need this comment. :)
> 
> Yes.  Will you be able to remove it while applying changes or should I
> update the patch?

I can do it, although if you're wanting to change the NEWS entry I
suppose it would make sense to do it all at once.

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 13 Oct 2020 07:57:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 03:57:22 2020
Received: from localhost ([127.0.0.1]:45063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSFBS-0001f0-AZ
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 03:57:22 -0400
Received: from mail-lf1-f51.google.com ([209.85.167.51]:37471)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kSFBP-0001en-Mj
 for 43948 <at> debbugs.gnu.org; Tue, 13 Oct 2020 03:57:20 -0400
Received: by mail-lf1-f51.google.com with SMTP id j30so18696550lfp.4
 for <43948 <at> debbugs.gnu.org>; Tue, 13 Oct 2020 00:57:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=HofYtrDIUdGiYgem0ZCJIupaSkfn4NmQBkMBLf3Sryw=;
 b=gafs1SIzgwhEJhGpCCp1ffsX8w8pABGBSJBh80bg3c4WZNPGe+pRYIrKfxRLq80cy8
 sege6uJLlAv7YsOv3bulHutwgfdV5tERCAp6WelKpo65CF+oAwhxAUW1tyT8ojerIKpu
 6qMNn+5eNzlO6lwhqk6BqKrsWQ1Y4zIRAOqO0gLkrnwM5kb42FQeyRysuIJu4PI5jNt8
 5Kz7rMcRawlhrJQa8ZXv1hwKsZtVi6jVXPRXnTxzCmrx8I0g5Xe6qv5TY+T61tf/2ybe
 b7Uh+rccxdDPA4r42ixar89Bdgu4lpxrrHT89QhMJBApNKmh2eF3rMIBRW9cgFMlA1iu
 s4dg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=HofYtrDIUdGiYgem0ZCJIupaSkfn4NmQBkMBLf3Sryw=;
 b=gbtR+OqQKBeLiQwO71IUuY8X6LGC2QcEhcx2Dcz0UIpnnUkv4AanDvef6rb9xGjSEm
 Ua38OiQCiqAG/UspkZ36+aTdrLDQ0M/CeGc3dwnC76HUIAt05LqMRo3s4jOsEObjdjsE
 FakMm4NudaIWPRYltjdTCKlDcMZFvripjNmus0gtGzYqV6z2EAqnaJ03iHgGlkZeoOnQ
 ejkv6qO12GMX7rujFJW9hDUHBj42vmi6YqObeoCxVE3J/7fMgHfbSTXiVp3sHsvTbs7o
 AxEHt+z4wHLTENkUE4d8OoFC6F4duX0D3NTQGr8H11WMHg692OX7t1IUhHRyEk2lREPK
 gTmA==
X-Gm-Message-State: AOAM533ZckAvxHgu9IommCtvHApXLeNBqk4P76LZTvtNDNNofpg1kE34
 YrdMRYBZxUYR1ecfPZ+tMwQQS3Xt0ic=
X-Google-Smtp-Source: ABdhPJzgzjEogx+4EaNFxaRXze26y51o9eYt91M7zeHXNUWCSztvPGtc0OaFQ0Up+IbGMoc8cgKCdA==
X-Received: by 2002:ac2:47f5:: with SMTP id b21mr8437702lfp.483.1602575833143; 
 Tue, 13 Oct 2020 00:57:13 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id k10sm4105730lfo.91.2020.10.13.00.57.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 13 Oct 2020 00:57:12 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Daniel =?utf-8?Q?Mart=C3=ADn?= <mardani29@HIDDEN>
Subject: Re: bug#43948: 28.0.50; [PATHC][NS] Make s-<left/right> to move to
 beginning/end of line
References: <m28scbiskq.fsf@HIDDEN> <m1362jjcih.fsf@HIDDEN>
Date: Tue, 13 Oct 2020 10:57:11 +0300
In-Reply-To: <m1362jjcih.fsf@HIDDEN> ("Daniel =?utf-8?Q?Mart=C3=ADn=22's?=
 message of "Tue, 13 Oct 2020 00:38:30 +0200")
Message-ID: <m2k0vuh82w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43948
Cc: 43948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Daniel Mart=C3=ADn <mardani29@HIDDEN> writes:

>> +** On macOS, 's-<left>' and 's-<right> are now bound to
>> +'move-beginning-of-line' and 'move-end-of-line' respectively.
>> +
>
> Maybe we should say here that the former commands for these keys can
> still be invoked via M-x ns-prev-frame and M-x ns-next-frame,
> respectively.

Former commands can be invoked with 's-`' and 's-~'.  Those are the
common shortcuts in macOS.  So maybe it is better to mention those keys
instead of M-x?  Though I'm not the experienced NEWS writer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 13 Oct 2020 06:48:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 02:48:23 2020
Received: from localhost ([127.0.0.1]:44961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSE6g-0008JZ-Ut
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 02:48:23 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:34404)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kSE6g-0008JN-1N
 for 43948 <at> debbugs.gnu.org; Tue, 13 Oct 2020 02:48:22 -0400
Received: by mail-lf1-f41.google.com with SMTP id z2so2036149lfr.1
 for <43948 <at> debbugs.gnu.org>; Mon, 12 Oct 2020 23:48:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Qj0q3XlLjcbdZJXNH6qBqEHSxM3OT99+BvQEOY+uJgI=;
 b=CylnQUWEVDL4xMujk80HkCIyqTeqgw25gt+BZfElKnjkCyadXhy5QTRFfkZcLREEHL
 +fpqb/6INHInPakigXVHtKpO6R5ayJnL9sqqYOVIiRa2jDOByv7XSyZ96E5kgjp43e2h
 w75tDoE6t/ir23ThR7yjHdA5LGAujxNeKM1XOwKfBI3Ouo1IheXd13u1vRO7jnXjQNNG
 Pq7GmzhCATGWzMyDv9vob0BlM6sIHLa+qL4M5LFuAACS9mzjriPFi6TxSsLdZGBbk/sa
 Du4nmXqpQsioF7ZzICu8njgz+lYYX/CCAiRQXYYXc2J62mnWJ+/J8D46gfV1WK7834g4
 yKTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Qj0q3XlLjcbdZJXNH6qBqEHSxM3OT99+BvQEOY+uJgI=;
 b=AEDfSc3tBSI/7uXIw4THQ6+DoHARhxqnIiBJTSm849OvpyUg2CvVvf2R3FIS/GiU7U
 LXU3tO5q143a0tczHtXYs9W6J7cPlb8KuV2zEj/UZvpmGNH0ttCfaMpK9iGAIlzLjSRH
 KujPGexgz50eQQUOk6mUQf8K0GvdlVcaq2LzH3bOcmduljp9gk/vAk9HlJjZxDEVKepy
 0gOhLVIGshIWHOg+eLmdtmxWXFCu6uAFqDEP5WzCmrICGD8vIQARWq+3yH7gHAqnoFMX
 nnH9qhEP3mDEhR5Li77dzxcV3GDgiWniGHkTwbl+LYQjJtqHxjJ0STuWDgObUO3rNDix
 4j8Q==
X-Gm-Message-State: AOAM533965LpZiHl8v659PbtHUZc+LwgN5PIhuKayPf18+JD3Cxkaqhu
 pk9qo5Gqv+0fVbZbvISHsd/oj7iNbKo=
X-Google-Smtp-Source: ABdhPJxYf57kx4cwF0t7H710BkO3gMGq0ujnCVduvtiKdyG5A5dLGboK0PHMaCJCe5oW/XCWtcxQ4Q==
X-Received: by 2002:a19:7f4d:: with SMTP id a74mr9769733lfd.533.1602571695396; 
 Mon, 12 Oct 2020 23:48:15 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id w9sm3412867ljh.95.2020.10.12.23.48.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 12 Oct 2020 23:48:14 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: Alan Third <alan@HIDDEN>
Subject: Re: bug#43948: 28.0.50; [PATHC][NS] Make s-<left/right> to move to
 beginning/end of line
References: <m28scbiskq.fsf@HIDDEN>
 <20201012183341.GJ60347@HIDDEN>
Date: Tue, 13 Oct 2020 09:48:13 +0300
In-Reply-To: <20201012183341.GJ60347@HIDDEN> (Alan Third's
 message of "Mon, 12 Oct 2020 19:33:41 +0100")
Message-ID: <m2r1q2hb9u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43948
Cc: 43948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alan Third <alan@HIDDEN> writes:

> As these bindings are standard for the OS, I don't think we really
> need this comment. :)

Yes.  Will you be able to remove it while applying changes or should I
update the patch?

> Feel free to remind me about this in a week or so if I forget and
> nobody else responds.

Sure.  But I believe no bug report will go unattended nowadays thanks to
Lars :)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 12 Oct 2020 22:38:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 18:38:45 2020
Received: from localhost ([127.0.0.1]:44276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kS6Sr-0008HJ-57
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 18:38:45 -0400
Received: from sonic311-31.consmr.mail.ir2.yahoo.com ([77.238.176.163]:36182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mardani29@HIDDEN>) id 1kS6Sm-0008H1-HT
 for 43948 <at> debbugs.gnu.org; Mon, 12 Oct 2020 18:38:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1602542312; bh=8pdEc7pVEUUoKyislRWMNxDiCoQHzDBVgpP6DIQYGTU=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject;
 b=Qvw5mXa9ZcKXxgFenNTC6WIKnVe9cP79L9s9t9bzAqThgh9NwvBopHE7R4zHtUVa23tDW/UrVL7xWhsgpO2pN2VCp0PqQSAO6odtjM+G/aCjpR0ULraZmuoNMLf+1mZJd2sFP8rAr2dzCu3ee8FP/0JvyizKQrF8GJJtr4w4YfY9/ntRdOvCsbxOBmnbLcQ68WKElvm0J7fLeoh5yA9hKlEs4XfkQ0LJcL/QLFpzBA4OU10PVA6t5+ZV0UW/MjfO+dyiqAhwlhItugRcv8hAq0xwxKT7gdU20tr4Zvzn58ieSGtwC4AQ875/BwQOZPbpbWwylk+SaHVTlmJ5sQyU2A==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.es; s=s2048;
 t=1602542312; bh=DIHBGkXu+RSXAbFzRojy0mAPAsWzSLAD/7EMJ0xE86z=;
 h=From:To:Subject:Date;
 b=aRBw8C1bY9u7c60uMR+mMqyu8tM+jvkUplJsyQm9ka/oLjvV26FXP2g/FPdHR3+2uIJF1R5h+2K9xjeCy0OuMVeXV5UPSaf9H4G0OcdpMyGzfoEm2rxSZKMsgFFNV2G3eESn1yUa9o6FqC0gfh4fUU8UO41uhbdilXHcdN6cXxW+optNNuu6My0hBxcZWbfhjSVbFCNsgMzbYAfc7J9J4AG9QBxX0LclZcOlMJ0e5bchnOCRV02M4rbeJLU8nhtvWdtrFnMlJfnlh1XE0xMdRktZmXX4/s2OfAvnG2Ydv94hU9n08w7OD5XRS27016MipqiFs9+7pIqv/mO6C3i5Ug==
X-YMail-OSG: 2vgpqPUVM1k6Vp_9NxpVa5GTl.5BjS5VxY2v3Fv_bQS0GMqtnTI1azjHSomMpiF
 nfpp8C1BG5rlaW3qBYgWuincGaWxlY00Uw9raMcEcSkTf.fROwSUpHXp2TFPDYtkgZGcFH4TlRMX
 kaJSxxdDOqipDqvY_aufo.xg8ghiwTzGP3TtxuvdfLxmDbxDnIyX7BgW6.nGZaJOzeGg362B_Krl
 vSL9H2TORVgeSe4Pf_Yga0vZbbWwjIJfWYwulkxDcqftNoSw7_yRBgBQ4rW4Vibnlt9kcHgrsZHk
 aJwbECeKOxO80qnLXrtR6aF8KhYUcqXdIxcIfODS.HiAgS1W1baQLkOsl0S1ERUBU0xMhibu87qa
 MSf1bwvWBTnDieCzimGGmWJxROdGtny5mzjJNJ8XTdGgctLT2GUBOLE7aSSk4AKOIdt8LkruHU8_
 9kEqpdEUiKc8fGa2HHSoah6AH1JiAPH69omEtw.vV6jKDCVPdFqHzw55b9VmOYAGYvFEjLid76PE
 vWu9B6bBeZIZCCBneefcEkxWUw3JbXetBf48ZxBltfuBm0PKnm6oDurjWtpEINmoH5tLS1O7p2Qh
 WmadKxVIHoM2SmHpYZ.VC787lwOM4fv7W0yMW8iBGPypFAxmwHsskxTH0Vw1MALzwE13lP45lCXu
 PRQ6jqv01LTp4OSDfj4T1BTbnnU0ocgW0PF9u8.fQib_SifZlj8PDMKEwJFAj6mtgeVKRdrmevIs
 fKEzU8QFe19rNTx28J641zRI43ckz.Qji2V.KYpX0KyCqnqBiVc3jZONeWcY_Hx4GyLrcjN46yRu
 gOitcHx6ejCeMOYevGD9PF4ZOHdXkiCCymaMIAOIMVKn9xdFyOMw9o1W1UwxzOFsJ7Utsxp44J1l
 wtyPr8AFAsnVuVrNUvvuLADuRqJjHxD1Ch9wbyu4Em3ISOE8kmvnq949cJDvj6nP18TdI7.GcMq0
 pcBIFswMjEdIlhSyT1nq3XVTwbF.SvCnZ8Jk3Jvds_4D4KH3u8wOLmLWazPqMdx_u13NkmFwG7fQ
 7CtcLW8LTQp9Um_A_npnWlqmtC40omNwGslpanyIKiGNs8ZEMwMjPeUdjkUJqzvAMi8K.DgvDM5Q
 egqyH9ylGfcUIXhr6lROF8AniMR7Ia0ymBKeNQw._k230x_E2dskPiyhY5VxKsNVHxeO.KlutyLe
 a_R23L4JKIW4iWpw7zzXx0bjZngzZuaYLG9p4RGai.99kpBxuiG7uyA2elrhpxAIaFTiqtP.on9u
 hrSYDU4n3OwFsTgbs2qlDgl.xOU9RE8AYkSqevj9UtQx.0pkJcgvEyiDLWJLUztL3KbLM8RGKkJ4
 sWmptULwyxEkRPHJQwh0gpztqtLTjuHey5qhpyX6fDxBtShs9oykqUPJ85Y3lUbLQ8nNP6nx_JjM
 fKEAiUz2GnB31p6_nl8.LCB67wTNK7FJ22WD33Xle.3TdklCiZ.etxk9rn10TGNF9jFGAB3wsmgm
 0ZYmQAO7ISlsnsy6rMK7Cn.6KJTOsoiw_hGVQjEhy_l3n.zK02spo3rjl6l1Y5p83rg--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ir2.yahoo.com with HTTP; Mon, 12 Oct 2020 22:38:32 +0000
Received: by smtp420.mail.ir2.yahoo.com (VZM Hermes SMTP Server) with ESMTPA
 ID 50dcf9a5bf9409dcff9e47beff255839; 
 Mon, 12 Oct 2020 22:38:30 +0000 (UTC)
From: =?utf-8?Q?Daniel_Mart=C3=ADn?= <mardani29@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#43948: 28.0.50; [PATHC][NS] Make s-<left/right> to move to
 beginning/end of line
References: <m28scbiskq.fsf@HIDDEN>
Date: Tue, 13 Oct 2020 00:38:30 +0200
In-Reply-To: <m28scbiskq.fsf@HIDDEN> (Andrii Kolomoiets's message of "Mon, 
 12 Oct 2020 14:36:53 +0300")
Message-ID: <m1362jjcih.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.16795
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
 Apache-HttpAsyncClient/4.1.4 (Java/11.0.7)
Content-Length: 403
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 43948
Cc: 43948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Andrii Kolomoiets <andreyk.mad@HIDDEN> writes:

Thanks for the patch, I think it's a good addition. I only have a nit:

> +--
> +** On macOS, 's-<left>' and 's-<right> are now bound to
> +'move-beginning-of-line' and 'move-end-of-line' respectively.
> +

Maybe we should say here that the former commands for these keys can
still be invoked via M-x ns-prev-frame and M-x ns-next-frame,
respectively.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at 43948 <at> debbugs.gnu.org:


Received: (at 43948) by debbugs.gnu.org; 12 Oct 2020 18:33:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 14:33:55 2020
Received: from localhost ([127.0.0.1]:43946 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kS2dv-0006F4-7B
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 14:33:55 -0400
Received: from wilbur.contactoffice.com ([212.3.242.68]:58188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1kS2ds-0006Eq-B7
 for 43948 <at> debbugs.gnu.org; Mon, 12 Oct 2020 14:33:53 -0400
Received: from smtpauth2.co-bxl (smtpauth2.co-bxl [10.2.0.24])
 by wilbur.contactoffice.com (Postfix) with ESMTP id BF3E51773;
 Mon, 12 Oct 2020 20:33:45 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1602527625; 
 s=20200222-6h9o; d=idiocy.org; i=alan@HIDDEN;
 h=Date:From:To:Cc:Subject:Message-ID:References:MIME-Version:Content-Type:In-Reply-To;
 l=834; bh=0PhYenOp9n3SSn54B9qdtHu2ayg68J2z2cxfGOMb2P0=;
 b=LOTofZHoglc968ac6lwZt88RYXuruS7o2fhLVa/6XLskXB09Yy9HmGO+E1rSrV7F
 0dXffEGu2cz3HMG/vcfg8ljz2nT/k1JglPqcmL15Zbc1jZRmunuwEJoph6rgQNfcVq1
 fuyT5661njZMCe2cVECGWKeMm5puedm7qcIMtImApjlJCwe0da2Siex1o6KvAd4m8Ql
 GOTfBtRO/TLxTw7HGCLYfdH3FA+4lJaxxaWakglvABRPCTEUZZJOQOnP/iJB5/6Wv+W
 sqz/XyKPi1FUQrJMiUM4q2F1ffmKD32oqtvRZVG92/YdRaTSmLdTTNerh4qpq1/rN1s
 rxb+vVhoww==
Received: by smtp.mailfence.com with ESMTPA ;
 Mon, 12 Oct 2020 20:33:43 +0200 (CEST)
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 1FEE62025F2ADB; Mon, 12 Oct 2020 19:33:42 +0100 (BST)
Date: Mon, 12 Oct 2020 19:33:41 +0100
From: Alan Third <alan@HIDDEN>
To: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Subject: Re: bug#43948: 28.0.50; [PATHC][NS] Make s-<left/right> to move to
 beginning/end of line
Message-ID: <20201012183341.GJ60347@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Andrii Kolomoiets <andreyk.mad@HIDDEN>, 43948 <at> debbugs.gnu.org
References: <m28scbiskq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m28scbiskq.fsf@HIDDEN>
X-Spam-Flag: NO
X-Spam-Status: No, hits=-2.9 required=4.7 symbols=ALL_TRUSTED,
 BAYES_00 device=10.2.0.20
X-ContactOffice-Account: com:241649512
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43948
Cc: 43948 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, Oct 12, 2020 at 02:36:53PM +0300, Andrii Kolomoiets wrote:
> On macOS, 'Command-Left/Right Arrow' are the common shortcuts to move
> the insertion point to the beginning/end of line.
> 
> See https://support.apple.com/en-us/HT201236, 'Document shortcuts'
> section.
> 
> Considering that Emacs is the text editor (mostly), lets make it behave
> more like TextEdit.app and not like Terminal.app about those shortcuts.
> 
> Patch attached.

Thanks for this.

> +;; (as in TextEdit.app)

As these bindings are standard for the OS, I don't think we really
need this comment. :)

I want to leave this a little while to see if anyone objects, then we
can put it into master and see if anyone objects then.

Feel free to remind me about this in a week or so if I forget and
nobody else responds.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Oct 2020 11:37:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 07:37:03 2020
Received: from localhost ([127.0.0.1]:41825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRw8V-0005iR-Bw
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 07:37:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:46608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyk.mad@HIDDEN>) id 1kRw8S-0005i1-0L
 for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 07:37:01 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40978)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andreyk.mad@HIDDEN>)
 id 1kRw8R-0005yz-N9
 for bug-gnu-emacs@HIDDEN; Mon, 12 Oct 2020 07:36:59 -0400
Received: from mail-lf1-x131.google.com ([2a00:1450:4864:20::131]:42408)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <andreyk.mad@HIDDEN>)
 id 1kRw8P-0007LY-Uz
 for bug-gnu-emacs@HIDDEN; Mon, 12 Oct 2020 07:36:59 -0400
Received: by mail-lf1-x131.google.com with SMTP id a7so16938558lfk.9
 for <bug-gnu-emacs@HIDDEN>; Mon, 12 Oct 2020 04:36:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=vChIhr03hbCSI481CnejgLH/bOfO9cmr2De2tInDBDg=;
 b=DGuf8OyenEc/ehPKO0h5kYtC5DSOiu7ytbCLqfDnZmMXzGW/bEV/jmxdN1F2gJk715
 vMgorpoOp3IsQ0R44DHBvuiDjAb6GMjYql/YW+WySw04+825Co8w+Mw/q76yeAxZTrrG
 2ja4Bh5rJkPS5nJ1bXYk/i9hSGdhwOFFw9OrzARRjBILOcXdmD2lRdmD/IoNQMtWur99
 G8KGU/KxKGPng8SJlmOFri3UxljlPo/6Gx6h4DRrKU6EsrbxTju/lRBVk9x4P5L74njl
 Rnvl0PcXDdfeUsQ7CRABlM1EMa9ikUlMj2Zw+UwMXVKqjZz41pR53ZX/LJeOFZiyC4OQ
 mFnQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=vChIhr03hbCSI481CnejgLH/bOfO9cmr2De2tInDBDg=;
 b=YZYF30S3yr4srPtKpYXN1TH2M1Grnx6LXaWcOUJoW0ltxwc9+SDklM+wq4EwplPmwM
 dj0O5h5BM5eIoMQQzfBCf2RJ1sC8BPzjGI/pspExXWBQ5yvqam7fTGQDbEWXFGW3I0Lq
 ytS91BP9qtObKh4PIclLoAymXeuedgj/jOlIAU9N285Q+iLV1ztn2VIVtTCKk2r90Cc7
 F/DAsOH5ZUMf29zYfXgR0uIsw1uXadjBGelVscjwcPcRSbtpB3rCIPT8fWh1gK6FFaP0
 VCCoYdiUOPT7I4e4NKIG0wxxOuzXwFl2HopOVlkS7A5Gpxfg3EwcQVY3mjR1RbqlNZoV
 lIEA==
X-Gm-Message-State: AOAM530H50JUV8oOXzHltFXQS4ZPocuObA5oICRCzupCWosLuieYr2dg
 IVwIXAnSL41DKMdhcqlwmdhAkAbLTZQ=
X-Google-Smtp-Source: ABdhPJzqVLTbrwm5q50e5t/hSL3vKeVLlMYgjAiW2OkcMaF8fdRiVGJqE57kV26V+kPibqX7aO2t5w==
X-Received: by 2002:ac2:4a64:: with SMTP id q4mr2879645lfp.513.1602502615303; 
 Mon, 12 Oct 2020 04:36:55 -0700 (PDT)
Received: from muffinmac ([91.206.110.168])
 by smtp.gmail.com with ESMTPSA id y5sm1063408lff.179.2020.10.12.04.36.53
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 12 Oct 2020 04:36:54 -0700 (PDT)
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [PATHC][NS] Make s-<left/right> to move to beginning/end
 of line
Date: Mon, 12 Oct 2020 14:36:53 +0300
Message-ID: <m28scbiskq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2a00:1450:4864:20::131;
 envelope-from=andreyk.mad@HIDDEN; helo=mail-lf1-x131.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain

On macOS, 'Command-Left/Right Arrow' are the common shortcuts to move
the insertion point to the beginning/end of line.

See https://support.apple.com/en-us/HT201236, 'Document shortcuts'
section.

Considering that Emacs is the text editor (mostly), lets make it behave
more like TextEdit.app and not like Terminal.app about those shortcuts.

Patch attached.

Thanks!

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-NS-Make-s-left-right-to-move-to-beginning-end-of-lin.patch

From ccea06f8b53589cdb1dff20e91f33fd8b8beb0a3 Mon Sep 17 00:00:00 2001
From: Andrii Kolomoiets <andreyk.mad@HIDDEN>
Date: Mon, 12 Oct 2020 14:24:25 +0300
Subject: [PATCH] NS: Make s-<left/right> to move to beginning/end of line

* lisp/term/ns-win.el: Bind 's-<left>' to 'move-beginning-of-line';
bind 's-<right>' to 'move-end-of-line'.
* etc/NEWS: Mention new bindings.
---
 etc/NEWS            | 4 ++++
 lisp/term/ns-win.el | 6 +++---
 2 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/etc/NEWS b/etc/NEWS
index cc8733c2c0..c7b34bdc1c 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -1683,6 +1683,10 @@ image API via 'M-x report-emacs-bug'.
 ---
 ** The user option 'make-pointer-invisible' is now honored on macOS.
 
+--
+** On macOS, 's-<left>' and 's-<right> are now bound to
+'move-beginning-of-line' and 'move-end-of-line' respectively.
+
 
 ----------------------------------------------------------------------
 This file is part of GNU Emacs.
diff --git a/lisp/term/ns-win.el b/lisp/term/ns-win.el
index cc7a3762b4..28bb851b30 100644
--- a/lisp/term/ns-win.el
+++ b/lisp/term/ns-win.el
@@ -148,9 +148,9 @@ global-map
 (define-key global-map [?\s-|] 'shell-command-on-region)
 (define-key global-map [s-kp-bar] 'shell-command-on-region)
 (define-key global-map [?\C-\s- ] 'ns-do-show-character-palette)
-;; (as in Terminal.app)
-(define-key global-map [s-right] 'ns-next-frame)
-(define-key global-map [s-left] 'ns-prev-frame)
+;; (as in TextEdit.app)
+(define-key global-map [s-right] 'move-end-of-line)
+(define-key global-map [s-left] 'move-beginning-of-line)
 
 (define-key global-map [home] 'beginning-of-buffer)
 (define-key global-map [end] 'end-of-buffer)
-- 
2.15.1


--=-=-=--




Acknowledgement sent to Andrii Kolomoiets <andreyk.mad@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43948; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 20 Oct 2020 16:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.